Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.sampler.sigar.samplers
Class MemSwapUsageSampler

    java.lang.Object
      kieker.monitoring.sampler.sigar.samplers.AbstractSigarSampler
          kieker.monitoring.sampler.sigar.samplers.MemSwapUsageSampler

All Implemented Interfaces:
  ISampler

    public class MemSwapUsageSampler

extends AbstractSigarSampler

Logs memory and swap statistics retrieved from `Mem` and `Swap`, as `MemSwapUsageRecord`s via `IWriterController.newMonitoringRecord(kieker.common.record.IMonitoringRecord)` .

Since:
  1.3
Author:
  Andre van Hoorn

Constructor Summary
`MemSwapUsageSampler(org.hyperic.sigar.SigarProxy sigar)` Constructs a new `AbstractSigarSampler` with given `SigarProxy` instance used to retrieve the sensor data.

Method Summary
`void` | `sample(IMonitoringController monitoringCtr)` Triggers this `ISampler` to perform a measurement and to pass the data to the given `IMonitoringController`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemSwapUsageSampler

    public MemSwapUsageSampler(org.hyperic.sigar.SigarProxy sigar)

  Constructs a new `AbstractSigarSampler` with given `SigarProxy` instance used to retrieve the sensor data. Users should use the factory method `SigarSamplerFactory.createSensorMemSwapUsage()` to acquire an instance rather than calling this constructor directly.

  Parameters:
    `sigar` - The sigar proxy which will be used to retrieve the data.

Method Detail

### sample

    public void sample(IMonitoringController monitoringCtr)
                throws org.hyperic.sigar.SigarException

  Triggers this `ISampler` to perform a measurement and to pass the data to the given `IMonitoringController`.

  Parameters:
    `monitoringCtr` - The controller to which the sampler should pass the data.
  Throws:
    `org.hyperic.sigar.SigarException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net